package fr.inria.phoenix.scenario.heatingmonitor.impl.controller;

import fr.inria.diagen.core.ServiceConfiguration;
import fr.inria.phoenix.diasuite.framework.context.window.WindowValue;
import fr.inria.phoenix.diasuite.framework.controller.cutrestart.AbstractCutRestart;

public class CutRestart extends AbstractCutRestart {

	public CutRestart(ServiceConfiguration serviceConfiguration) {
		super(serviceConfiguration);
	}

	@Override
	protected void onWindow(WindowValue window, DiscoverForWindow discover) {
		Boolean bool = window.value();
		if(bool == null) return;
		String user = window.indices().user();
		 ThermostatProxyForWindow thermostat = 
				 discover.thermostats().whereUser(user).anyOne();
		if(!bool) {
			thermostat.off();
		} else {
			thermostat.on();
		}
	}
} // 1h45 dev Window + CutRestart
