package fr.inria.phoenix.scenario.heatingmonitor.impl.controller;

import fr.inria.diagen.core.ServiceConfiguration;
import fr.inria.phoenix.diasuite.framework.controller.log.AbstractLog;
import fr.inria.phoenix.diasuite.framework.context.format.FormatValue;
import fr.inria.phoenix.diasuite.framework.datatype.event.Event;

/* Record events in the log.
 * The implementation of the Log context
 * @see fr.inria.phoenix.diasuite.framework.controller.log.AbstractLog
 */
public class Log extends AbstractLog {
    
    public Log(ServiceConfiguration serviceConfiguration) {
        super(serviceConfiguration);
    }

    /* (non-Javadoc)
     * @see fr.inria.phoenix.diasuite.framework.controller.log.AbstractLog#onFormat(FormatValue, DiscoverForFormat)
     */
    @Override
    protected void onFormat(FormatValue format, DiscoverForFormat discover) {
    	Event event = format.value();
    	discover.loggers().anyOne().logEvent(event);
    }
}
